import logging
from tudelft.utilities.logging.Reporter import Reporter
from logging import Logger

# initialize the logging, otherwise it seems not to work properly
logging.basicConfig()

class ReportToLogger ( Reporter ):
	'''
	dumps the reported messages into a standard python logging with the
	given name
 	'''

	def __init__(self, logname:str):
		'''
		@param logname the name for the Logger
	 	'''
		self._logger:Logger = logging.getLogger(logname)
		self._logger.setLevel(logging.WARNING)

	def log(self, level:int , msg:str, thrown: BaseException=None) -> None:
		# We use the internal function, the only way to include our exception...
		self._logger._log(level=level, msg=msg, args=[], exc_info=thrown,\
			stack_info=True if thrown else False)
	

	